German translation change

2016-07-20 10:55 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version: 3.4.0   

Description

Added several missing translations, fixed typos and changed the translation of repository "Projektarchiv", which led to significant

confusion in relation to archives.

Related issues:

Copied to Redmine - Patch #23725: Updated Brazilian translation for 3.3.0.stable Closed

Associated revisions

Revision 15800 - 2016-09-01 18:06 - Toshi MARUYAMA

German translation for 3.1-stable updated by JW Fuchs (#23388, #23744)

Revision 15801 - 2016-09-01 18:06 - Toshi MARUYAMA

German translation for 3.3-stable updated by JW Fuchs (#23388, #23745)

Revision 15806 - 2016-09-01 20:35 - Toshi MARUYAMA

Merged r15800 from trunk to 3.3-stable (#23388, #23744)

German translation for 3.1-stable updated by JW Fuchs.

Revision 15807 - 2016-09-01 20:35 - Toshi MARUYAMA

Merged r15801 from trunk to 3.3-stable (#23388, #23745)

German translation for 3.3-stable updated by JW Fuchs.

Revision 15808 - 2016-09-01 20:36 - Toshi MARUYAMA

Merged r15800 from trunk to 3.2-stable (#23388, #23744)

German translation for 3.1-stable updated by JW Fuchs.

Revision 15809 - 2016-09-01 20:37 - Toshi MARUYAMA

Merged r15800 from trunk to 3.1-stable (#23388, #23744)

German translation for 3.1-stable updated by JW Fuchs.

Revision 16035 - 2016-12-03 06:37 - Toshi MARUYAMA

German "repository" translation changed by JW Fuchs (#23388)

Revision 16036 - 2016-12-03 06:37 - Toshi MARUYAMA

German translation changed by JW Fuchs (#23388)

Revision 16037 - 2016-12-03 06:37 - Toshi MARUYAMA

German "notice_failed_to_save_time_entries" translation changed by Tobias Fischer (#23388)

History

#1 - 2016-07-20 15:27 - Go MAEDA

- File de-update-23388.diff added

Generated patch from JW Fuchs's config_de.yml: de-update-23388.diff
https://www.redmine.org/attachments/16375


Could anyone who understand the German language review this?

#2 - 2016-07-24 01:16 - Tobias Fischer

Looks good to me!

However, please don't change the label "label_day_plural"!

Tage is perfectly well! Example:

Duration: 2 days – Dauer: 2 Tage

The proposed change Tagen is used in other context:

In/Since 2 days – In/Seit 2 Tagen

But I don't think that this grammatical issue can be distinguished by Redmine at the moment. So I would stick to the "normal" plural form.

#3 - 2016-07-25 08:57 - Anonymous

Tobias Fischer wrote:

Looks good to me!

However, please don't change the label "label_day_plural"!

Tage is perfectly well! Example:

Duration: 2 days – Dauer: 2 Tage

The proposed change Tagen is used in other context:

In/Since 2 days – In/Seit 2 Tagen

But I don't think that this grammatical issue can be distinguished by Redmine at the moment. So I would stick to the "normal" plural form.

 Understood, this label change is not necessary. We had some users at our company complain about this minor issue so I suggested this change. We

did not come across the use as in "since x days" as we're not using the time tracking module.

#4 - 2016-07-25 09:52 - Tobias Fischer

- File de-update-23388_rev2.diff added

Alright.

I updated the patch and removed the proposed change for label_day_plural

I also changed another string on the fly:

     [old] notice_failed_to_save_time_entries: "Gescheitert %{count} Zeiteinträge für %{total} von ausgewählte

n: %{ids} zu speichern." 

[proposed] notice_failed_to_save_time_entries: "Gescheitert %{count} Zeiteinträge für %{total} von ausgewählte

n %{ids} zu speichern." 

   [final] notice_failed_to_save_time_entries: "%{count} von %{total} ausgewählten Zeiteinträgen konnte(n) nic

ht gespeichert werden: %{ids}" 

 My [final] change was made to align the failure notice with the other notice for tickets:

notice_failed_to_save_issues: "%{count} von %{total} ausgewählten Tickets konnte(n) nicht gespeichert werden: 

%{ids}." 

 IMHO, this sounds a lot better...

#5 - 2016-08-29 03:55 - Go MAEDA

- Target version set to 3.3.1

Tobias Fischer, thanks for reviewing this patch.

Setting target version to 3.3.1.
#6 - 2016-08-30 19:17 - Luiz Moura

- Copied to Patch #23725: Updated Brazilian translation for 3.3.0.stable added

#7 - 2016-09-01 17:18 - Toshi MARUYAMA

- Target version changed from 3.3.1 to 3.4.0

#8 - 2016-09-01 17:19 - Toshi MARUYAMA

- Subject changed from Updated German translation for 3.3.0.stable to German translation change

#9 - 2016-11-11 10:47 - Luka Lüdicke

Hey, while on the subject of german translations - could you change the the label_me for the assignee selection from

ich to mich (Zugewiesen an: ich is grammatically incorrect)

#10 - 2016-11-11 10:58 - Jan from Planio www.plan.io

Luka Lüdicke wrote:

Hey, while on the subject of german translations - could you change the the label_me for the assignee selection from

ich to mich (Zugewiesen an: ich is grammatically incorrect)

 I haven't checked yet myself, but we need to make sure that label_me isn't used in any other context througout the code where "ich" would be more

appropriate. In that case we would have just improved one place while making other(s) worse :)

#11 - 2016-11-23 08:41 - Philipp Prangenberg

Hello,

in my opinion, the seperator and delimiter have to be changed. In Germany you write down numbers the other way.

So this one:

  number:

    # Default format for numbers

    format:

      separator: ','

      delimiter: '.'

needs to be changed to this one:

  number:

    # Default format for numbers

    format:

      separator: '.'

      delimiter: ','

Technically you have to use a space ' ' as separator, because the dot '.' is only used in currency. But the space is not that common like the dot.    

https://docs.oracle.com/cd/E19455-01/806-0169/overview-9/index.html

#12 - 2016-11-23 09:00 - Jan from Planio www.plan.io

Philipp Prangenberg wrote:

Hello,

in my opinion, the seperator and delimiter have to be changed. In Germany you write down numbers the other way.

 Hello and welcome to Redmine :-) Please open a new issue for every bug or feature request. If you add a new bug report to an existing issue, it

becomes incredibly hard to keep track.

To respond to your request: In Rails, the delimiter separates thousands and the separator separates integer and fractional part (some call it the 

radix point), see http://api.rubyonrails.org/classes/ActionView/Helpers/NumberHelper.html.

Therefore, the values for the German locale are correct as they are in Redmine and don't need changing.
https://docs.oracle.com/cd/E19455-01/806-0169/overview-9/index.html
https://en.wikipedia.org/wiki/Radix_point
http://api.rubyonrails.org/classes/ActionView/Helpers/NumberHelper.html


#13 - 2017-03-03 18:31 - Jean-Philippe Lang

- Assignee set to Toshi MARUYAMA

Toshi, more stuff needs to be committed or can we close? Thanks.

#14 - 2017-03-03 18:33 - Toshi MARUYAMA

- Status changed from New to Closed

No more commits.

Files

config_de.yml 56.6 KB 2016-07-20 Anonymous

de-update-23388.diff 12.9 KB 2016-07-20 Go MAEDA

de-update-23388_rev2.diff 12.7 KB 2016-07-25 Tobias Fischer
